/*
 * Copyright (C) SapphireCode - All Rights Reserved
 * This file is part of Snippeteer which is released under BSD-3-Clause.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, May 2020
 */

export enum ColumnType {
  string = 'string',
  text = 'text',
  integer = 'integer',
  big_integer = 'bigInteger',
  float = 'float',
  decimal = 'decimal',
  increments = 'increments',
  big_increments = 'bigIncrements',
  boolean = 'boolean',
  date = 'date',
  date_time ='datetime',
  time = 'time',
  timestamp = 'timestamp',
  binary = 'binary',
  enum = 'enu',
  json='json',
  jsonb='jsonb',
  uuid='uuid'
}
